| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::ContactCapabilities Class Reference
Connection proxies

The ContactCapabilities class represents the capabilities of a Contact. More...

`#include <TelepathyQt/ContactCapabilities>`

Inherits Tp::CapabilitiesBase.

List of all members.

## Public Member Functions

- ContactCapabilities ()
- virtual ~ContactCapabilities ()
- bool dbusTubes (const QString &serviceName) const
- QStringList dbusTubeServices () const
- bool streamTubes (const QString &service) const
- QStringList streamTubeServices () const

## Protected Member Functions

- ContactCapabilities (bool specificToContact)
- ContactCapabilities (const RequestableChannelClassList &rccs, bool specificToContact)
- ContactCapabilities (const RequestableChannelClassSpecList &rccSpecs, bool specificToContact)

## Detailed Description

The ContactCapabilities class represents the capabilities of a Contact.

## Constructor & Destructor Documentation

Tp::ContactCapabilities::ContactCapabilities | ( |  | ) |

Construct a new ContactCapabilities object.

Tp::ContactCapabilities::~ContactCapabilities | ( |  | ) | `[virtual]`

Class destructor.

Tp::ContactCapabilities::ContactCapabilities | ( | bool | specificToContact | ) | `[protected]`

Construct a new ContactCapabilities object.

Tp::ContactCapabilities::ContactCapabilities | ( | const RequestableChannelClassList & | rccs,
|  | bool | specificToContact
| ) |  | `[protected]`

Construct a new ContactCapabilities object using the give rccs.

Parameters:

  rccs | RequestableChannelClassList representing the capabilities of a contact.

Tp::ContactCapabilities::ContactCapabilities | ( | const RequestableChannelClassSpecList & | rccSpecs,
|  | bool | specificToContact
| ) |  | `[protected]`

Construct a new ContactCapabilities object using the give rccSpecs.

Parameters:

  rccSpecs | RequestableChannelClassList representing the capabilities of a contact.

## Member Function Documentation

bool Tp::ContactCapabilities::dbusTubes | ( | const QString & | serviceName | ) | const

Returns whether creating a DBusTube channel with the given service targeting this contact is expected to succeed.

Returns:
  `true` if supported, `false` otherwise.

QStringList Tp::ContactCapabilities::dbusTubeServices | ( |  | ) | const

Return the supported DBusTube services.

Returns:
  A list of supported DBusTube services.

bool Tp::ContactCapabilities::streamTubes | ( | const QString & | service | ) | const

Return whether creating a StreamTube channel, using the given service, by providing a contact identifier is supported.

Returns:
  `true` if supported, `false` otherwise.

QStringList Tp::ContactCapabilities::streamTubeServices | ( |  | ) | const

Return the supported StreamTube services.

Returns:
  A list of supported StreamTube services.